Skip to main content
`Ctrl`+`K`

# MATSEQSELLHIP

MATSELLHIP = “(seq)sellhip” - A matrix type to be used for sparse matrices on AMD GPUs.

## Options Database Keys

- -mat_type seqsellhip - sets the matrix type to “seqsellhip” during a call to `MatSetFromOptions()`

- -mat_sell_spmv_hip_kernel - selects a spmv kernel for MatSELLHIP

- -mat_sell_spmv_hip_blocky - sets the y dimension of the block size of the spmv kernels. These kernels use a 2D block with the x dimension equal to the wrap size (normally 64 for AMD GPUs)

## See Also

Matrices, `Mat`, `MATSELLHIP`

## Level

beginner

## Location

src/mat/impls/sell/seq/seqhip/sellhip.hip.cpp

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages